Subject: [CDNi] (no subject)

From: "Brandenburg, R. (Ray) van" <[email-masked]>
Date: Mon, 28 Mar 2011 09:52:04 +0000

Hi Kevin,

Thanks for your feedback, his is exactly the kind of discussion I was hoping to get started. The current mastercopy and consumable definitions were purely meant as a way to get people thinking about these issues.

I like your distinction between 'physical' files and logical grouping of files constituting a single piece of 'content'. One way to look at it would be for a Consumable (as a logical grouping) to consist of one or more Consumble Elements (the physical elements).

Ray

________________________________
From: Kevin J Ma [mailto:[email-masked]]
Sent: maandag 28 maart 2011 11:24
To: Brandenburg, R. (Ray) van; [email-masked]'
Subject: RE: Some thoughts on content terminology

Ray,

  I agree that 'content' is a bit of an amorphous term.

  I have concern about the definitions of Mastercopy and Consumable.
  They could be construed to imply that a single file is uploaded and
  the CDN does the transcoding, which is not necessarily the case.

  The content delivered by the CP may come as multi-bitrate segments.
  In that case, would each segment file be a mastercopy?  Or is the
  aggregate of all files for the video the mastercopy?  i.e., can the
  mastercopy be a logical identifier referring to multiple files?

  The content provider may have a single piece of source content with
  a logical identity.  The actual representations delivered to the CDN
  may take many forms, and may be different across different CDNs.

  For CDNI, I think we should consider both the physical files, as well
  as logical groupings of files?  It might be useful to expand content
  terminology to include this distinction?

  I think it might be helpful to expand the discussion of CDN specific
  use cases, and more precisely label which files or groups of files
  each term applies to?  (HTTP adaptive streaming is mentioned, and is
  arguably the most important case, but there are probably others, e.g.,
  a web pages inclusive of all ancillary images and scripts, etc.)

--  Kevin J. Ma

From: [email-masked] [mailto:[email-masked]] On Behalf Of Brandenburg, R. (Ray) van
Sent: Monday, March 28, 2011 4:06 AM
To: [email-masked]'
Subject: [CDNi] Some thoughts on content terminology

Hi All,

In the last ETSI TISPAN/MCD meeting on CDN Interconnection we found that the term 'content' can have different meanings depending on the exact CDN use case one is talking about. More importantly, a single piece of 'content' can take on different forms depending on its location in a CDN. For example: when content is ingested in an upstream CDN, it may be transcoded into multiple formats. The question is then which of these formats (or maybe all of them) is transferred to a downstream CDN. For these kinds of discussions, we think that it would be useful to have some additional terminology to describe content.

The following internet-draft, which is basically an IETF-etized version of an ETSI contribution, discusses some of the reasons why one would need additional terminology. It also makes a first proposal for such terminology.

http://www.ietf.org/id/draft-deventer-cdni-content-terminology-00.txt

I'm looking forward to your comments, and hope to see you Wednesday evening for further discussion.

Regards,

Ray van Brandenburg

This e-mail and its contents are subject to the DISCLAIMER at http://www.tno.nl/emaildisclaimer
This e-mail and its contents are subject to the DISCLAIMER at http://www.tno.nl/emaildisclaimer